package ch.dlcm.controller.admin;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import ch.dlcm.controller.AssociationController;
import ch.dlcm.model.Institution;
import ch.dlcm.model.OrganizationalUnit;
import ch.dlcm.rest.RESTName;

@RestController
@RequestMapping("/" + RESTName.ADMIN + "/" + RESTName.INSTITUTION + "/{parentid}/" + RESTName.UNIT)
public class InstitutionOrganizationalUnitController extends AssociationController<Institution, OrganizationalUnit> {

	@Override
	protected Class<OrganizationalUnit> getSubResourceClass() {
		return OrganizationalUnit.class;
	}
	@Override
    protected Class<Institution> getMainResourceClass() {
        return Institution.class;
    }
}
