package ch.dlcm.controller.admin;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import ch.dlcm.controller.AssociationController;
import ch.dlcm.model.Institution;
import ch.dlcm.model.OrganizationalUnit;
import ch.dlcm.rest.RESTName;

@RestController
@RequestMapping("/" + RESTName.ADMIN + "/" + RESTName.UNIT + "/{parentid}/" + RESTName.INSTITUTION)
public class OrganizationalUnitInstitutionController extends AssociationController<OrganizationalUnit, Institution> {

	@Override
	protected Class<Institution> getSubResourceClass() {
		return Institution.class;
	}
	@Override
    protected Class<OrganizationalUnit> getMainResourceClass() {
        return OrganizationalUnit.class;
    }
}
