package ch.dlcm.service.access;

import java.util.List;

import org.springframework.stereotype.Service;

import ch.dlcm.model.Order;
import ch.dlcm.rest.RESTName;
import ch.dlcm.service.ResourceServiceREST;

@Service
public class OrderServiceREST extends ResourceServiceREST<Order> implements OrderService {

  private static final String orderPath = "/" + RESTName.ORDER;

  public OrderServiceREST() {
    super(orderPath, Order.class, RESTName.ACCESS);
  }

  @Override
  public List<Order> findAll() {
    return findAll(Order.class);
  }

  @Override
  public Order save(String dlcmId) {
    return doAction(dlcmId, RESTName.SAVE);
  }
}
