package ch.dlcm.service.preingest;

import java.io.ByteArrayOutputStream;
import java.util.List;

import org.springframework.core.io.Resource;

import ch.dlcm.model.Deposit;
import ch.dlcm.model.DepositDataFile;
import ch.dlcm.model.Person;
import ch.dlcm.service.ResourceService;

public interface DepositService extends ResourceService<Deposit>{
    public void addAuthor(String depositId, String authorId);
    public List<Person> getAuthors(String depositId);
    public void addDepositDataFile(String depositId, DepositDataFile df);
    public void removeDepositDataFile(String depositId, String dataFileId);
    public List<DepositDataFile> getDepositDataFile(String depositId);
	public DepositDataFile upload(String dlcmId, Resource resource);
	public ByteArrayOutputStream downloadDataFile(String depositId, String dataFileId);
}