package ch.dlcm.test.admin;

import static org.junit.Assert.assertEquals;

import ch.dlcm.tool.RestClientTool;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.web.client.HttpClientErrorException;
import org.springframework.web.client.RestTemplate;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest
public class Error404Test {

    @Value("${dlcm.module.admin}")
    private String baseUrl;

    @Test
    public void error404Test(){
        final String url = baseUrl + "doesntexists";
        try{
            RestTemplate restTemplate = RestClientTool.getClient(url);
            restTemplate.getForObject(url,String.class);
        }catch(HttpClientErrorException e){
            assertEquals(404, e.getRawStatusCode());
        }
    }
}