package ch.dlcm.config.security;

public enum OAuthClients {


  // Clients
  DLCM_UI_CLIENT            ("dlcm-ui-client",       "111"),
  DLCM_UI_APPROVAL          ("dlcm-client-approval", "111"),

  // Other clients
  TEST_CLIENT_ID            ("testClientId",          "111"),
  TEST_CLIENT_ID_NO_ADMIN   ("testClientIdNoAdmin",   "111");


  private final String clientId;
  private final String secret;

  OAuthClients(String clientId, String secret) {
    this.clientId = clientId;
    this.secret = secret;
  }


  public String getClientId() {
    return clientId;
  }


  public String getSecret() {
    return secret;
  }
}
