package ch.dlcm.repository;

import java.util.List;

import org.springframework.stereotype.Repository;

import ch.dlcm.model.DepositDataFile;
import ch.dlcm.model.Status.StatusValue;
import ch.dlcm.rest.RESTRepository;

@Repository
public interface DepositDataFileRepository extends RESTRepository<DepositDataFile> {

	DepositDataFile findByDlcmId(String id);
	List<DepositDataFile> findByDataFileStatus(StatusValue status);
	List<DepositDataFile> findByDataFileStatusIn(List<StatusValue> statusList);

}