package ch.dlcm.controller;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import ch.dlcm.rest.RESTName;
import ch.dlcm.settings.SettingsService;

@RestController
@RequestMapping("/" + RESTName.DATAMGMT)
public class DataMgmtController extends ModuleController {

  @Autowired
  SettingsService settingsService;
  
  DataMgmtController() {
    super(RESTName.DATAMGMT);
  }

  @Override
  @PostConstruct
  public void init() throws Exception {
      settingsService.init();
  }

}
