package ch.dlcm.controller;

import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import ch.dlcm.rest.RESTName;

@PreAuthorize("hasRole('ADMIN')")
@RestController
@RequestMapping("/" + RESTName.INGEST)
public class IngestController extends ModuleController {

  IngestController() {
    super(RESTName.INGEST);
  }

  @Override
  public void init() {
  }

}
