package ch.dlcm.message;

import java.io.Serializable;

import ch.dlcm.model.DataFileInterface;

public class DataFileMessage implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -15518064624284541L;

	private Class<? extends DataFileInterface> dataFileClass;
	private String dlcmId;

	public DataFileMessage(Class<? extends DataFileInterface> clazz, String dlcmId) {
		this.dataFileClass = clazz;
		this.dlcmId = dlcmId;
	}

	public Class<? extends DataFileInterface> getDataFileClass() {
		return dataFileClass;
	}

	public String getDlcmId() {
		return dlcmId;
	}

	@Override
	public String toString() {
		return "DataFileMessage [dataFileClass=" + dataFileClass.getSimpleName() + ", dlcmId=" + dlcmId + "]";
	}

	
}
