package ch.dlcm.model;

import java.util.ArrayList;
import java.util.List;

public enum Package {
	ROOT(""), DATA("/data"), METADATA("/metadata"), METADATAFILE("dlcm.xml"), SCHEMAS("/schemas"), DOC("/documentation"), SOFTWARE("/software"), MISC("/misc");
	private String desc;

	private Package(String s) {
		desc = s;
	}

	public String getName() {
		return desc;
	}
	
	public static List<String> getMetadataStructure(){
		List<String> list = new ArrayList<>();
		list.add(METADATAFILE.getName());
		list.add(METADATA.getName());
		list.add(SCHEMAS.getName());
		return list;
	}
}
