package ch.dlcm.model.display;

import ch.dlcm.model.OrganizationalUnit;
import ch.dlcm.model.Person;
import ch.dlcm.model.Role;
import ch.dlcm.model.display.mapper.ResourceRoleMapper;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import java.util.ArrayList;
import java.util.List;

public class OrganizationalUnitRole extends OrganizationalUnit implements RessourceRole{

  public OrganizationalUnitRole(Person person, OrganizationalUnit organizationalUnit) {
    ResourceRoleMapper<OrganizationalUnit> resourceRoleMapper = new ResourceRoleMapper<>(this, organizationalUnit);
    resourceRoleMapper.doRoleFilter(person, organizationalUnit);
  }


  @JsonIgnoreProperties({"creationTime", "updateTime", "dlcmId"})
  List<Role> roles = new ArrayList<>();

  public List<Role> getRoles() {
    return this.roles;
  }

  public void setRoles(List<Role> roles) {
    this.roles = roles;
  }

}
