package ch.dlcm.model.oais;

import ch.dlcm.model.Status.StatusValue;

public interface InfoPackageInterface {
	public String getDlcmId();
	public RepresentationInfo getInfo();
	public boolean isAllDataFileReady();
	public void updateTime();
	public default void setPackageStatus(StatusValue status){
		this.getInfo().getStatus().setValue(status);
		this.getInfo().getStatus().setInfo(null);
		updateTime();
	}
	public default void setErrorStatus(String desc){
		this.getInfo().getStatus().setValue(StatusValue.InError);
		this.getInfo().getStatus().setInfo(desc);
		updateTime();
	}
}
