package ch.dlcm.rest;

import javax.persistence.EmbeddedId;
import javax.persistence.MappedSuperclass;

@MappedSuperclass
public abstract class RESTCompositeResource<CompositeKey> extends RESTResourceBase {


  @EmbeddedId
  protected CompositeKey dlcmCompositeId;

  public CompositeKey getDlcmCompositeId() {
    return dlcmCompositeId;
  }

  public void setDlcmCompositeId(CompositeKey dlcmCompositeId) {
    this.dlcmCompositeId = dlcmCompositeId;
  }
}
