package ch.dlcm.controller.preingest;

import ch.dlcm.controller.AssociationController;
import ch.dlcm.model.Deposit;
import ch.dlcm.model.License;
import ch.dlcm.rest.RESTDlcmRoutes;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(RESTDlcmRoutes.PREINGEST_DEPOSIT_LICENSE_PATH)
public class DepositLicenseController extends AssociationController<Deposit, License> {

	@Override
	protected Class<License> getSubResourceClass() {
		return License.class;
	}
	@Override
    protected Class<Deposit> getMainResourceClass() {
        return Deposit.class;
    }

}