package ch.dlcm.controller.preingest;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import ch.dlcm.controller.AssociationController;
import ch.dlcm.model.Deposit;
import ch.dlcm.model.Person;
import ch.dlcm.rest.RESTName;

@RestController
@RequestMapping("/" + RESTName.PREINGEST + "/" + RESTName.DEPOSIT + "/{parentid}/" + RESTName.PERSON)
public class DepositPersonController extends AssociationController<Deposit, Person> {

	@Override
	protected Class<Person> getSubResourceClass() {
		return Person.class;
	}
	@Override
    protected Class<Deposit> getMainResourceClass() {
        return Deposit.class;
    }

}