package ch.dlcm.preparation.archivematica;

import java.util.ArrayList;
import java.util.List;

public class TransferList {
	// Reference
	// https://wiki.archivematica.org/Archivematica_API#List_Unapproved_Transfers
	//
	// Fields
	private String message;
	private List<Transfer> results;

	public class Transfer {
		private String type; // One of:standard, unzipped bag, zipped bag,
								// dspace
		private String directory;
		private String uuid;

		public String getType() {
			return type;
		}

		public void setType(String type) {
			this.type = type;
		}

		public String getDirectory() {
			return directory;
		}

		public void setDirectory(String directory) {
			this.directory = directory;
		}

		public String getUuid() {
			return uuid;
		}

		public void setUuid(String uuid) {
			this.uuid = uuid;
		}

	}

	public TransferList() {
		this.results = new ArrayList<>();
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public List<Transfer> getResults() {
		return results;
	}

	public void setResults(List<Transfer> results) {
		this.results = results;
	}

}
