package ch.dlcm.assembling;

import java.net.URISyntaxException;
import java.util.List;

import ch.dlcm.exception.DLCMException;
import ch.dlcm.model.oais.ArchivalInfoPackage;
import ch.dlcm.model.oais.DisseminationInfoPackage;
import ch.dlcm.service.PackageService;

public interface AssemblingService extends PackageService {

  public String preparePackage(String id, List<ArchivalInfoPackage> aip) throws DLCMException;
  public DisseminationInfoPackage createPackage(String id, String name, List<ArchivalInfoPackage> aip) throws URISyntaxException;
}
