package ch.dlcm.controller.access;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import ch.dlcm.controller.AssociationController;
import ch.dlcm.model.Order;
import ch.dlcm.model.oais.DisseminationInfoPackage;
import ch.dlcm.rest.RESTName;

@RestController
@RequestMapping("/" + RESTName.ACCESS + "/" + RESTName.ORDER+ "/{parentid}/" + RESTName.DIP)
public class OrderDIPController extends AssociationController<Order, DisseminationInfoPackage> {

	@Override
	protected Class<DisseminationInfoPackage> getSubResourceClass() {
		return DisseminationInfoPackage.class;
	}
	@Override
    protected Class<Order> getMainResourceClass() {
        return Order.class;
    }

}
