package ch.dlcm.controller.admin;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import ch.dlcm.controller.AssociationController;
import ch.dlcm.model.Institution;
import ch.dlcm.model.Person;
import ch.dlcm.rest.RESTName;

@RestController
@RequestMapping("/" + RESTName.ADMIN + "/" + RESTName.INSTITUTION + "/{parentid}/" + RESTName.PERSON)
public class InstitutionPersonController extends AssociationController<Institution, Person> {

	@Override
	protected Class<Person> getSubResourceClass() {
		return Person.class;
	}
	@Override
    protected Class<Institution> getMainResourceClass() {
        return Institution.class;
    }

}
