package ch.dlcm.controller.admin;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import ch.dlcm.controller.AssociationController;
import ch.dlcm.model.FundingAgency;
import ch.dlcm.model.OrganizationalUnit;
import ch.dlcm.rest.RESTName;

@RestController
@RequestMapping("/" + RESTName.ADMIN + "/" + RESTName.UNIT + "/{parentid}/" + RESTName.FUNDING_AGENCY)
public class OrganizationalUnitFundingAgencyController extends AssociationController<OrganizationalUnit, FundingAgency> {

	@Override
	protected Class<FundingAgency> getSubResourceClass() {
		return FundingAgency.class;
	}
	@Override
    protected Class<OrganizationalUnit> getMainResourceClass() {
        return OrganizationalUnit.class;
    }
}
