package ch.dlcm.controller.admin;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import ch.dlcm.controller.AssociationController;
import ch.dlcm.model.Institution;
import ch.dlcm.model.Person;
import ch.dlcm.rest.RESTName;

@RestController
@RequestMapping("/" + RESTName.ADMIN + "/" + RESTName.PERSON + "/{parentid}/" + RESTName.INSTITUTION)
public class PersonInstitutionController extends AssociationController<Person, Institution> {

	@Override
	protected Class<Institution> getSubResourceClass() {
		return Institution.class;
	}
	@Override
    protected Class<Person> getMainResourceClass() {
        return Person.class;
    }
}
