package ch.dlcm.repository;

import java.util.List;

import org.springframework.stereotype.Repository;

import ch.dlcm.model.Status.StatusValue;
import ch.dlcm.model.oais.AipDataFile;
import ch.dlcm.rest.RESTRepository;

@Repository
public interface AipDataFileRepository extends RESTRepository<AipDataFile> {

	AipDataFile findByDlcmId(String id);
	List<AipDataFile> findByDataFileStatus(StatusValue status);
	List<AipDataFile> findByDataFileStatusIn(List<StatusValue> statusList);

}