package ch.dlcm.repository;

import java.util.List;

import org.springframework.stereotype.Repository;

import ch.dlcm.model.Status.StatusValue;
import ch.dlcm.model.oais.DipDataFile;
import ch.dlcm.rest.RESTRepository;

@Repository
public interface DipDataFileRepository extends RESTRepository<DipDataFile> {

	DipDataFile findByDlcmId(String id);
	List<DipDataFile> findByDataFileStatus(StatusValue status);
	List<DipDataFile> findByDataFileStatusIn(List<StatusValue> statusList);

}	