package ch.dlcm.repository;

import java.util.List;

import org.springframework.stereotype.Repository;

import ch.dlcm.model.Status.StatusValue;
import ch.dlcm.model.oais.SipDataFile;
import ch.dlcm.rest.RESTRepository;

@Repository
public interface SipDataFileRepository extends RESTRepository<SipDataFile> {

	SipDataFile findByDlcmId(String id);
	List<SipDataFile> findByDataFileStatus(StatusValue status);
	List<SipDataFile> findByDataFileStatusIn(List<StatusValue> statusList);

}