package ch.dlcm.config.security;

import org.springframework.context.annotation.Configuration;
import org.springframework.http.HttpMethod;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.config.http.SessionCreationPolicy;
import org.springframework.security.oauth2.config.annotation.web.configuration.EnableResourceServer;

@Configuration
@EnableResourceServer
public class OAuthIngestionResourceServer extends DLCMCommonResourceServerConfig {

  @Override
  public void configure(final HttpSecurity http) throws Exception {
    super.configure(http);
    http
        .authorizeRequests();
//          .antMatchers(HttpMethod.GET, "/ingest/sip/*").access("hasRole('NOADMIN')")
//          .antMatchers(HttpMethod.GET, "/ingest").access("hasRole('ADMIN')")

  }
}
