package ch.dlcm.listener;

import javax.persistence.PostPersist;
import javax.persistence.PostUpdate;

import ch.dlcm.config.ContextHelper;
import ch.dlcm.message.DataFileMessage;
import ch.dlcm.model.DataFileInterface;
import ch.dlcm.model.Status.StatusValue;

public class DataFileListener {

	@PostPersist
	@PostUpdate
	private void logCreation(Object object) {
		DataFileInterface df = (DataFileInterface) object;
		if (df.getDataFile().getStatus().getValue() == StatusValue.Received 
		 || df.getDataFile().getStatus().getValue() == StatusValue.Processed){
			ContextHelper.getPublisher().publishEvent(new DataFileMessage(df.getClass(), df.getDlcmId()));
		}
	}
	
}	
