package ch.dlcm.model;

import ch.dlcm.model.oais.ArchivalInfoPackage;

public class OrderArchive {
  
  private ArchivalInfoPackage archive=null;
  private ArchiveMetadata metadata=null;
  
  public OrderArchive(ArchivalInfoPackage aip, ArchiveMetadata md){
    this.archive = aip;
    this.metadata = md;
  }
  
  public OrderArchive(ArchivalInfoPackage aip){
    this.archive = aip;
  }
  
  public OrderArchive(ArchiveMetadata md){
    this.metadata = md;
  }

  public ArchivalInfoPackage getArchive() {
    return archive;
  }

  public void setArchive(ArchivalInfoPackage archive) {
    this.archive = archive;
  }

  public ArchiveMetadata getMetadata() {
    return metadata;
  }

  public void setMetadata(ArchiveMetadata metadata) {
    this.metadata = metadata;
  }

}
