package ch.dlcm.model;

import java.io.Serializable;

import javax.persistence.Embeddable;
import javax.persistence.ManyToOne;

@Embeddable
public class OrganizationalUnitPersonPkId implements Serializable {
  private static final long serialVersionUID = -7546695814255442690L;

  @ManyToOne
  private OrganizationalUnit organizationalUnit;

  @ManyToOne
  private Person person;

  @ManyToOne
  private Role role;


  public OrganizationalUnit getOrganizationalUnit() {
    return organizationalUnit;
  }

  public void setOrganizationalUnit(OrganizationalUnit organizationalUnit) {
    this.organizationalUnit = organizationalUnit;
  }

  public Person getPerson() {
    return person;
  }

  public void setPerson(Person person) {
    this.person = person;
  }

  public Role getRole() {
    return role;
  }

  public void setRole(Role role) {
    this.role = role;
  }

}
