package ch.dlcm.rest;


public final class RESTDlcmRoutes {

    // ==========
    // Pre-ingest
    // ==========
    public static final String PREINGEST_DEPOSIT_SUBMISSION_AGREEMENT_PATH = "/" + RESTName.PREINGEST + "/" + RESTName.DEPOSIT + "/{parentid}/" + RESTName.SUBMISSION_AGREEMENT;
    public static final String PREINGEST_DEPOSIT_LICENSE_PATH              = "/" + RESTName.PREINGEST + "/" + RESTName.DEPOSIT + "/{parentid}/" + RESTName.LICENSE;

    // ==========
    // Admin
    // ==========
    public static final String ADMIN_ROLE_PATH                       = "/" + RESTName.ADMIN + "/" + RESTName.ROLE;
    public static final String ADMIN_LICENSE_PATH                    = "/" + RESTName.ADMIN + "/" + RESTName.LICENSE;
    public static final String ADMIN_LICENSE_IMPORT_LIST_PATH        = "/" + RESTName.IMPORT + "/" + RESTAction.LIST;
    public static final String ADMIN_LICENSE_IMPORT_FILE_PATH        = "/" + RESTName.IMPORT + "/" + RESTAction.FILE;
    public static final String ADMIN_OPEN_LICENSE_IMPORT_FILE_PATH   = "/" + RESTName.IMPORT + "/open-license/" + RESTAction.FILE;
    public static final String ADMIN_SUBMISSION_AGREEMENT_PATH       = "/" + RESTName.ADMIN + "/" + RESTName.SUBMISSION_AGREEMENT;
    public static final String ADMIN_LANGUAGE_PATH                   = "/" + RESTName.ADMIN + "/" + RESTName.LANGUAGE;
    public static final String ADMIN_UNIT_PERSON_PATH                = "/" + RESTName.ADMIN + "/" + RESTName.UNIT + "/{parentid}/" + RESTName.PERSON;
    public static final String ADMIN_PERSON_UNIT_PATH                = "/" + RESTName.ADMIN + "/" + RESTName.PERSON + "/{parentid}/" + RESTName.UNIT;
    public static final String ADMIN_FUNDING_AGENCY_PATH             = "/" + RESTName.ADMIN + "/" + RESTName.FUNDING_AGENCY;
}
