package ch.dlcm.controller.preingest;

import ch.dlcm.controller.AssociationController;
import ch.dlcm.model.Deposit;
import ch.dlcm.model.SubmissionAgreement;
import ch.dlcm.rest.RESTDlcmRoutes;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(RESTDlcmRoutes.PREINGEST_DEPOSIT_SUBMISSION_AGREEMENT_PATH)
public class DepositSubmissionAgreementController extends AssociationController<Deposit, SubmissionAgreement> {

	@Override
	protected Class<SubmissionAgreement> getSubResourceClass() {
		return SubmissionAgreement.class;
	}
	@Override
    protected Class<Deposit> getMainResourceClass() {
        return Deposit.class;
    }

}