package ch.dlcm.preparation.archivematica;

public class TransferStatus {
	// Reference
	// https://wiki.archivematica.org/Archivematica_API#Status
	//
	// Fields
	private String status; // One of FAILED, REJECTED, USER_INPUT, COMPLETE or PROCESSING
	private String name;
	private String sipUuid; // If status is COMPLETE
	private String microservice;
	private String directory;
	private String path;
	private String message;
	private String type; // "transfer"
	private String uuid;

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getSip_uuid() {
		return sipUuid;
	}

	public void setSip_uuid(String sipUuid) {
		this.sipUuid = sipUuid;
	}

	public String getMicroservice() {
		return microservice;
	}

	public void setMicroservice(String microservice) {
		this.microservice = microservice;
	}

	public String getDirectory() {
		return directory;
	}

	public void setDirectory(String directory) {
		this.directory = directory;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getUuid() {
		return uuid;
	}

	public void setUuid(String uuid) {
		this.uuid = uuid;
	}

}